"""
 * Copyright (C) 2013   Christian Eppler
 * File:                src/file.py
 * Project              copydiff
 * Title:               Manage on file
 * Author:              Christian Eppler
 * E-Mail:              weblooker@silentchris.de
 * Created on:          2.05.2013
 *
 * This program is free software; you can redistribute it and/or modify it under the terms of
 * the GNU General Public License as published by the Free Software Foundation; either version 3
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program;
 * if not, see <http://www.gnu.org/licenses/>.
"""

import sys

class File_manager:
    def __init__(self,):
        self.path = ""
        self.linenumber = 0
        self.file = None
        self.line = ""
    
    def open(self):
        self.file = open(self.path,"r")

    def close(self):
        if(self.file is not None):
            self.file.close()
    
    def nextline(self):
        self.linenumber += 1
        try:
            self.line = self.file.readline()
        except (Exception):
            return 2    #Cache error like UnicodeDecodeError
        if len(self.line) == 0:
            return None
        return 1
    
    def getline(self):
        return self.line        
    
    def getlinenumber(self):
        return self.linenumber
    
    def setfile(self,path):
        self.path = path
        self.linenumber = 0
        self.close()
        
    def printline(self):
        print ('Path: {0} Line: {1} Content: {2}'.format(self.path,
                self.linenumber, self.line.replace("\n"," ").replace("\t","")))
        
    def __del__(self):
        self.close()
        