"""
 * Copyright (C) 2013   Christian Eppler
 * File:                src/parseinput.py
 * Project              copydiff
 * Title:               Parse input from console
 * Author:              Christian Eppler
 * E-Mail:              weblooker@silentchris.de
 * Created on:          2.05.2013
 *
 * This program is free software; you can redistribute it and/or modify it under the terms of
 * the GNU General Public License as published by the Free Software Foundation; either version 3
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program;
 * if not, see <http://www.gnu.org/licenses/>.
"""

import argparse
import sys

def timediff(string):  
    try:
        value = float(string)
    except (ValueError):
        try:
            value = float(string,16)
        except (ValueError):
            msg = "%r is not a correct time" % string
            raise argparse.ArgumentTypeError(msg)
    return value


parser = argparse.ArgumentParser(description='Search for different files on file system and copy it to tmp/diff')
parser.add_argument('-s','--show', action='store_true', help='Only show difference on console')
parser.add_argument('-t','--time', type=timediff,
                   help='Time difference ', default=0.1)
parser.add_argument('-p','--path', help='Path to search for')
parser.add_argument('-c','--comma',action='store_true', help='Set comma as  decimal separator for time on find')
        
args = parser.parse_args()

if(len(sys.argv) <= 1):
    parser.print_help()
    sys.exit()

if(args.path is None):
    args.path = "./"
    
    
